Subject: Re: [PATCH v3 09/10] builtin/diff-tree: learn --merge-base

From: Denton Liu <[email-masked]>
Date: Sun, 20 Sep 2020 04:01:48 -0700

Hi Junio,

On Fri, Sep 18, 2020 at 09:52:39AM -0700, Junio C Hamano wrote:
> I wonder if turning the builtin/diff-tree.c to match that structure
> make the result easier to understand (and I'll be perfectly happy if
> the answer to this question turns out to be "no, the result of the
> posted patch is the easiest to follow").

git diff-tree does not even recognise ranges so as a result, the else
case does not even need to exist there, unlike in git diff.